%global pkg_name %{name}

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           preupgrade-assistant-el5toel7
Version:        0.6.47
Release:        3%{?dist}
Summary:        Set of contents created for upgrade to Red Hat Enterprise Linux 7
Group:          System Environment/Libraries
License:        GPLv3+
URL:            http://www.open-scap.org/
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       preupgrade-assistant >= 2.3.1

# static data are required by our contents & old contents
# are obsoleted by this package
Obsoletes:      preupgrade-assistant-contents < 0.6.33-3
Provides:       preupgrade-assistant-contents = %{version}-%{release}
Requires:       preupgrade-assistant-el5toel7-data

Patch0:         vsftpd-fix-copy.patch
Patch1:         ruby_text.patch

############################
# Per content requirements #
############################

# * owned by RHEL6_7/packages/pkgdowngrades - this is for the
#   redhat-upgrade-tool hook "fixpkgdowngrades.sh
Requires:       yum, rpm-python

# Why those requirements?
# /usr/bin/python and /usr/bin/python2 are already present.
Requires:       bash
Requires:       python
Requires:       coreutils
Requires:       perl

%global __requires_exclude .*
%global __requires_exclude_from .*
%global __provides_exclude .*
%global __provides_exclude_from .*

%description
The package provides a set of contents used for assessment
of the source system for upgrade or migration to Red Hat
Enterprise Linux 7 system.
The contents are used by the preupgrade-assistant package.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
# Make is not needed

%check
#This is check whether contents are created properly
# will be done different in future

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p -m 755 $RPM_BUILD_ROOT%{_datadir}/doc/preupgrade-assistant-el5toel7
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/preupgrade
mv RHEL5_7/LICENSE $RPM_BUILD_ROOT%{_datadir}/doc/preupgrade-assistant-el5toel7/
mv * $RPM_BUILD_ROOT%{_datadir}/preupgrade/

rm -rf $RPM_BUILD_ROOT%{_datadir}/preupgrade/RHEL6*
mkdir -p $RPM_BUILD_ROOT%{_datadir}/preupgrade/RHEL5_7/3rdparty
rm -rf $RPM_BUILD_ROOT/%{_datadir}/preupgrade/common

# General cleanup
find $RPM_BUILD_ROOT%{_datadir}/preupgrade/ -name "*.ini" -delete #| xargs rm -f
find $RPM_BUILD_ROOT%{_datadir}/preupgrade/ -name "READY" -delete #| xargs rm -f
find $RPM_BUILD_ROOT -name '.gitignore' -delete

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/preupgrade-assistant-el5toel7/
%doc %{_datadir}/doc/preupgrade-assistant-el5toel7/LICENSE
%{_datadir}/preupgrade/RHEL5_7/


%changelog
* Fri Mar 03 2017 Petr Stodulka <pstodulk@redhat.com> -0.6.47-3
- fix text in Ruby module
  Related: #1369223

* Tue Feb 28 2017 Petr Stodulka <pstodulk@redhat.com> -0.6.47-2
- fix copy of config files inside vsftpd module
  Related: #1369223

* Fri Feb 24 2017 Petr Stodulka <pstodulk@redhat.com> -0.6.47-1
- fix wrong intendation in check script for bind
  Related: #1369223

* Thu Feb 23 2017 Petr Stodulka <pstodulk@redhat.com> -0.6.46-1
- fix policycoreutils (install policycoreutils-python on target system)
- text polishing
  Related: #1369223

* Wed Feb 22 2017 Petr Stodulka <pstodulk@redhat.com> -0.6.45-1
- rebase to 0.6.45
- remove obsoleted informational modul
- text polishing
- requires preupgrade-assistant v2.3.1+
  Related: #1369223

* Wed Feb 22 2017 Petr Stodulka <pstodulk@redhat.com> -0.6.44-1
- system/PartitionMounts - supress warning message
- improve bind module, so bind is installed on the new system even when
  bind97 is installed
- text polishing
- fix httpd module: check use non-standard ports, created postmigrate script
  that finishes migration on target machine, include check of another
  deprecated modules, complete information about expected actions from user
- backup custom selinux policies and inform admin about expected actions
- fix mysql module: copy configuration files to correct directory, improve
  checks, install equivalent MariaDB packages on target system and inform user
  better about expected actions
- keep selinux context in backed up configuration files
- improve noauto_postupgrade script 'install_rpmlist.sh' to more effective
  and functional installation of packages from given file
  Related: #1369223

* Tue Jan 17 2017 Petr Stodulka <pstodulk@redhat.com> - 0.6.42-1
* Rebase to version 0.6.41
- compatible with preupgrade-assistant version 2.2.1+
- added check use of Microsoft hypervisor
- migrate of security certificates
- fix httpd module to do more automatic changes
- many other fixes and improvements inside various modules
- Fix lsblk generation for kickstart in PartitionMounts modules
  Related: #1369223

* Mon Sep 12 2016 Petr Hracek <phracek@redhat.com> - 0.6.39-3
- Fix lsblk generation for kickstart in PartitionMounts modules
Related: #1369223

* Thu Sep 01 2016 Petr Hracek <phracek@redhat.com> 0.6.39-2
- Initial release for RHEL-5.11
Resolves: #1369223

* Tue Jun 21 2016 Jakub Mazanek <jmazanek@redhat.com> - 0.6.39-1
- rebase to 0.6.39 (Beta)
- fix backup of configuration files and split to cleanconf and dirtyconf
  directories
- improve migration of selinux and output of httpd module
- provides additional info about migration from 32b system
- modules for databases ends with 'needs_action' result due to required
  dump of data
- fix module for bind - now accept bind and also bind97 packages
- fix migration of vsftpd module

* Tue Jun 14 2016 Petr Stodulka <pstodulk@redhat.com> - 0.6.-38-1
- rebase to 0.6.38
- fixed typo in name of variable inside SonameRemoval module
- support postgresql84 + done review with Pavel Raiskup (thanks!)
  - mainly code clean up and changes in texts

* Tue May 10 2016 Jakub Mazanek <jmazanek@redhat.com> - 0.6.37-1
- rebase to 0.6.37
- added IptablesToFirewallcmd, NoverfyConfigs, NoVersionChangeEtc
- modified modules for package sets
- use latest API for p-a
- improved output from various modules
- long outputs redirected to files

* Fri Apr 15 2016 Petr Stodulka <pstodulk@redhat.com> - 0.6.35-1
- rebase to 0.6.35
- many fixes, added contents

* Thu Mar 17 2016 Petr Stodulka <pstodulk@redhat.com> - 0.6.34-1
- rebase to 0.6.34
- added contents: Architecture, SystemVersion, vsftpd, openldap,
    httpd, alphaversion
- fixed missings group.ini files, database contents

* Mon Mar 07 2016 Petr Stodulka <pstodulk@redhat.com> - 0.6.33-3
- package is now called preupgrade-assistant-el5toel7 instead of
  preupgrade-assistan-contents for RHEL-5

* Tue Feb 02 2016 Petr Stodulka <pstodulk@redhat.com> - 0.6.33-2
- replace lsblk in PartitionMounts by bash script, supports luks
  encryption, lvm, ... - RAID is not supported yet and may some
  troubles with other encryption types is there (#1302272)

* Mon Jan 18 2016 Petr Stodulka <pstodulk@redhat.com> - 0.6.33-1
- rebase
- modified general contents according to new PA API
- requires preupgrade-assistant-staticdata

* Mon Jun 15 2015 Petr Stodulka <pstodulk@redhat.com> - 0.6.29-1
- fix typos
- remove services/dirsr

* Mon Jun 15 2015 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.28-1
- dark matrix refreshed
- sonamebump fixed

* Mon Jun 15 2015 Frantisek Kluknavsky <fkluknav@redhat.com> - 0.6.27-1
- New upstream contents merge from RHEL 6 -> RHEL 7

* Wed Jun 10 2015 Petr Hracek <phracek@redhat.com> - 0.6.26-1
- New upstream contents merge from RHEL 6 -> RHEL 7

* Thu Jun 04 2015 Petr Hracek <phracek@redhat.com> - 0.6.15-1
- First set of content for migration RHEL5 to RHEL 7

